package org.nextframework.docs.chart.example;

import org.nextframework.doc.util.IO;
import org.nextframework.view.chart.Chart;
import org.nextframework.view.chart.ChartData;
import org.nextframework.view.chart.ChartType;
import org.nextframework.view.chart.jfree.ChartRendererJFreeChart;

public class ExampleUsageChart1 {

	public static void main(String[] args) {
		//grfico simples com dados informados manualmente
		Chart chart = new Chart(ChartType.PIE);
		ChartData data = new ChartData();
		data.setSeries("Votao"); //para grficos do tipo PIE s existe uma srie
		data.addRow("Next", 244); 
		data.addRow("JSF", 38); 
		data.addRow("Spring", 187); 
		chart.setData(data);
		
		
		IO.writeToFile("chartVotacao.png", ChartRendererJFreeChart.renderAsResource(chart).getContents());
		System.out.println("Grfico salvo chartVotacao.png");
	}
}
