package org.nextframework.docs.chart.example;

import org.nextframework.doc.util.IO;
import org.nextframework.view.chart.Chart;
import org.nextframework.view.chart.ChartData;
import org.nextframework.view.chart.ChartType;
import org.nextframework.view.chart.jfree.ChartRendererJFreeChart;

public class ExampleUsageChart2 {

	public static void main(String[] args) {
		//grfico simples com dados informados manualmente
		Chart chart = new Chart(ChartType.COLUMN);
		ChartData data = new ChartData();
		data.setSeries("Produtividade", "Aprendizado"); 
		data.addRow("Next", 653, 522); 
		data.addRow("JSF", 38, 12); 
		data.addRow("Spring", 187, 398); 
		chart.setData(data);
		
		IO.writeToFile("chartProdutividadeAprendizado.png", ChartRendererJFreeChart.renderAsResource(chart).getContents());
		System.out.println("Grfico salvo chartProdutividadeAprendizado.png");
		
		//inverta os dados
		chart.setData(data.invert());
		
		IO.writeToFile("chartProdutividadeAprendizadoInvertido.png", ChartRendererJFreeChart.renderAsResource(chart).getContents());
		System.out.println("Grfico salvo chartProdutividadeAprendizadoInvertido.png");
	}
}
